// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <UIKit/UIKit.h>
#import <AbbyyUI/AbbyyUI.h>
#import "RecognizerEngine.h"

NS_ASSUME_NONNULL_BEGIN

typedef void (^PdfCompletion)(NSString* path, NSError* error);

/// Utility class for working with captured documents
@interface DocumentManager : NSObject

/// Get shared manager
@property (class, nonatomic, readonly) DocumentManager* sharedManager;

@property (nonatomic, readonly) NSString* storagePath;

/// Create PDF document from saved images
- (void)generatePdfForCaptureResult:(id<AUIMultiPageImageCaptureResult>)captureResult withCompletion:(PdfCompletion)completion;

@end

NS_ASSUME_NONNULL_END
